%global pypi_name jsonpatch

Name:           python-%{pypi_name}
Version:        1.32
Release:        2
Summary:        Applying JSON Patches in Python
License:        BSD
URL:            https://github.com/stefankoegl/python-json-patch
Source0:        https://pypi.io/packages/source/j/jsonpatch/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch

%description
Library to apply JSON Patches according to RFC 6902 - Python 2 build.


%package -n python3-jsonpatch
Summary:        Applying JSON Patches in Python 3
BuildRequires:  python3-devel python3-setuptools python3-jsonpointer
Requires:       python3-jsonpointer

%{?python_provide:%python_provide python3-%{pypi_name}}
%description -n python3-jsonpatch
Library to apply JSON Patches according to RFC 6902 - Python 3 build.

%package_help

%prep
%autosetup -n %{pypi_name}-%{version} -p1

%build
LANG=en_US.utf8 
%py3_build

%install
LANG=en_US.utf8 %py3_install
for bin in jsondiff jsonpatch; do
mv %{buildroot}%{_bindir}/$bin %{buildroot}%{_bindir}/$bin-%{python3_version}
ln -s ./$bin-%{python3_version} %{buildroot}%{_bindir}/$bin-3
ln -s ./$bin-%{python3_version} %{buildroot}%{_bindir}/$bin
done;

%check
%{__python3} tests.py


%files -n python3-%{pypi_name}
%license COPYING
%{_bindir}/jsondiff
%{_bindir}/jsonpatch
%{_bindir}/jsondiff-3*
%{_bindir}/jsonpatch-3*
%{python3_sitelib}/%{pypi_name}.py*
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/*.egg-info

%files help
%defattr(-,root,root)
%doc README.md

%changelog
* Wed Oct 26 2022 zhangruifang <zhangruifang1@h-partners.com> - 1.32-2
- Rebuild for next release

* Tue Nov 23 2021 liudabo <liudabo1@huawei.com> - 1.32-1
- upgrade version to 1.32

* Wed Jul 14 2021 huangtianhua <huangtianhua@huawei.com> - 1.31-1
- Upgrade to 1.31 to support OpenStack-W

* Mon Feb 1 2021 wangjie<wangjie294@huawei.com> - 1.28.1
- upgrade 1.28.1 

* Thu Oct 29 2020 tinawei <tianwei12@huawei.com> - 1.26-2
- delete python2

* Thu Jul 23 2020 dingyue <dingyue5@huawei.com> - 1.26-1
- Package update to 1.26

* Thu Sep 12 2019 openEuler Buildteam <buildteam@openeuler.org> - 1.21-5
- Package init
